var Widget = {
	author : "",
	description : "",
	name : "",
	shortName : "",
	version : "",
	id : "",
	authorEmail : "",
	authorHref : "",
	preferences : null,
	height : 1920,
	width : 1080	
}

Widget.preferences = {
	getItem : null,
	setItem : null
}
Widget.preferences.getItem = function(key)
{
	return this[key];
}

Widget.preferences.setItem = function(key,value)
{
	this[key] = value;
}

function loadXMLDoc(filename)
{
if (window.XMLHttpRequest)
  {
  xhttp=new XMLHttpRequest();
  }
else // code for IE5 and IE6
  {
  xhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xhttp.open("GET",filename,false);
xhttp.send();
return xhttp.responseXML;
}

document.addEventListener('DOMContentLoaded', function(){
    //This method does not currently support localisation in config files
	
    var xmlDoc=loadXMLDoc("config.xml");
   
    //Get the widget width and height
    var widgetNode=xmlDoc.getElementsByTagName("widget")[0];
    Widget.width = parseInt(widgetNode.attributes["width"].value);
    Widget.height = parseInt(widgetNode.attributes["height"].value);
   
    //Get the widget name
    var nameNode=xmlDoc.getElementsByTagName("name")[0];
    Widget.name = nameNode.textContent;
   
    if(nameNode.attributes["short"] != null)
    { 
		Widget.shortName = nameNode.attributes["short"] = value;
    }
   
    //Get the widget description
    var descriptionNode=xmlDoc.getElementsByTagName("description")[0];
    Widget.description = descriptionNode.textContent;
   
   //Load the preferences
    var preferences = xmlDoc.getElementsByTagName("preference");
   
    if(preferences != null)
    {
		for (var i = 0; i < preferences.length; i++) {
			Widget.preferences.setItem(preferences[i].attributes["name"].value,preferences[i].attributes["value"].value);
		}  
	}
   
   
	
}, false);


